summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrey Utkin <andrey_utkin@gentoo.org>2017-11-03 21:28:00 +0000
committerAndrey Utkin <andrey_utkin@gentoo.org>2017-11-05 00:52:15 +0000
commit2621e53e5c7fc5eae51001828e03e1369ee11deb (patch)
tree38d14c605dfc3c6f90153e907682b65b4ef07b0d /dev-python
parentapp-office/texstudio: Bump to 2.12.6 and xdg-utils (diff)
downloadgentoo-2621e53e5c7fc5eae51001828e03e1369ee11deb.tar.gz
gentoo-2621e53e5c7fc5eae51001828e03e1369ee11deb.tar.bz2
gentoo-2621e53e5c7fc5eae51001828e03e1369ee11deb.zip
dev-python/botocore: add 1.5.95 ebuild
This is the last release in 1.5.x series. Ebuild copied from 1.5.90 with stable keywords downgraded to testing. Acked-by: Alex Brandt <alunduil@gentoo.org> Package-Manager: Portage-2.3.12, Repoman-2.3.3
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.5.95.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 086a982a3f4..988fbd3f663 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -4,3 +4,4 @@ DIST botocore-1.4.65.tar.gz 2946032 SHA256 9b4e2d54ad89294e3866888b9711b58ad9923
DIST botocore-1.4.93.tar.gz 3306809 SHA256 3954b0c3bf67473181e9f6e3347154ba8ac6e66fab9bc07a25bb9e4e165d9726 SHA512 ce4ac735e5413932d5545b6319f63e6080cee8f4e511e3886bd47a6785bf1986236eb8ed48248836b29fc433a015807fae8dfbc3b6dc1f7e94088e380c7b0332 WHIRLPOOL fd29a6ad15ddd8a7dfe6cffafc72b2a83b7b45304bd122d7ddde26f4bb529805396bad3dd261fefc977fac4c004991b03553792a11fa78dc1197107a1892182e
DIST botocore-1.5.52.tar.gz 3606403 SHA256 bd232581d8720f87d49d14c134b2f563dbb7c4fa887467720bff76e08858a01b SHA512 f8a1ed1b768cbe26e9fc75a81b08dbb012b37576342452acde21f48e9c314093ce1dd7ec8eabcc8c8a14e2209d809450bd4798eddb55215dcc387130243d8bf4 WHIRLPOOL 0c719fb1e7be68f59a76e7394615b836df9ebcf9ac1dda7c2fee1ff468437f6e33d34f5fd2b809680158bf32f0eebf63c8a90a10ed90883354347a8cc758280b
DIST botocore-1.5.90.tar.gz 3707524 SHA256 675f894c0ba91c8bb94be6954a40272e8c9d1ac9ddab2bee33acb1576fcaaedd SHA512 2a241c29c4874f632932f453954ca15469087b467ed36453db05fa219e81b6aa924aca672f01747de071091ffe6d55fa731ec124f7b47783176c79cf141dc82d WHIRLPOOL d42ec9a4d167d31edd9e65ee6a2cfa65c1ed80d8260f3fbe2fafe2e66f28d0d28f363f0b311e275589b065d2d43151381090b16d61e13aba1d4f4dac487cca35
+DIST botocore-1.5.95.tar.gz 3712795 SHA256 26917b37fe993dc23dd1eb69c3208500fd057dc8b2e18b7c97bb26ae08ce7aa8 SHA512 872fac30476e3f05fa065ea2963b2221046d0eb7cd91267b0f9209fcd05b81b29eba99c439ad220a81c98a880b4087d961667d8a27c560cd9ba4481b8bc703c9 WHIRLPOOL cff1d6eb9c8a1d42c639da312500d1c23fae2c4c90afbd06c96345a20d6b3ef3f439f9d13f56962d208c4f6ae52fc27e3b48dcf276475e1933209ac5c9b8c0c4
diff --git a/dev-python/botocore/botocore-1.5.95.ebuild b/dev-python/botocore/botocore-1.5.95.ebuild
new file mode 100644
index 00000000000..f970e09103e
--- /dev/null
+++ b/dev-python/botocore/botocore-1.5.95.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 python3_6 )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3."
+HOMEPAGE="https://github.com/boto/botocore"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+CDEPEND="
+ >=dev-python/docutils-0.10[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ <dev-python/jmespath-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
+ <dev-python/python-dateutil-3.0.0[${PYTHON_USEDEP}]
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? (
+ >=dev-python/guzzle_sphinx_theme-0.7.10[${PYTHON_USEDEP}]
+ <dev-python/guzzle_sphinx_theme-0.8[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.1.3[${PYTHON_USEDEP}]
+ <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+ )
+ test? (
+ ${CDEPEND}
+ ~dev-python/mock-1.3.0[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="${CDEPEND}"
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ nosetests -v tests/unit || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/build/html/. )
+
+ distutils-r1_python_install_all
+}